


Name: bomber
Version: 18.08.2
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Summary: Arcade bombing game
Group: Graphical desktop/KDE5
Url: http://www.kde.org/applications/games/bomber/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5widgets-devel

BuildRequires: kf5-macros
BuildRequires: kcoreaddons-devel
BuildRequires: kconfig-devel
BuildRequires: kdbusaddons-devel
BuildRequires: ki18n-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kxmlgui-devel
BuildRequires: kio-devel

BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description 
Bomber is a single player arcade game.

The player is invading various cities in a plane that is decreasing in height.
The goal of the game is to destroy all the buildings and advance to the next
level. Each level gets a bit harder by increasing the speed of the plane and the
height of the buildings.

%files 
%_kf5_bindir/bomber
%_kf5_datadir/applications/org.kde.bomber.desktop
%_kf5_datadir/bomber
%_kf5_datadir/config.kcfg/bomber.kcfg
%_iconsdir/*/*/*/*
%_kf5_datadir/kxmlgui5/bomber/bomberui.rc
%_kf5_datadir/metainfo/org.kde.bomber.appdata.xml
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package -n bomber-handbook
Summary: bomber handbook
Requires:  bomber
BuildArch: noarch
Group: Documentation

%description -n bomber-handbook
This package provides the bomber handbook.

%files -n bomber-handbook
%doc %_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Nov 05 2018 adrianomorselli <adrianomorselli> 18.08.2-1uplos2018
- update
